Package wx :: Package lib :: Module hyperlink

[frames | no frames]

## Module wx.lib.hyperlink

`HyperLinkCtrl` is a control for wxPython that acts like a hyper link in a typical browser. Latest features include the ability to capture your own Left, Middle, and Right click events to perform your own custom event handling and ability to open link in a new or current browser window.

Special thanks to Robin Dunn for the event binder for the 3 mouse buttons.

Latest Revision: Andrea Gavana @ 05 Nov 2005, 22.30 CET

Classes
`HyperLinkCtrl` | `HyperLinkCtrl` is a control for wxPython that acts like a hyper link in a typical browser.
`HyperLinkEvent` | Event object sent in response to clicking on a `HyperLinkCtrl`.

Variable Summary
`PyEventBinder` | `EVT_HYPERLINK_LEFT` = `<wx._core.PyEventBinder object at 0...`
`PyEventBinder` | `EVT_HYPERLINK_MIDDLE` = `<wx._core.PyEventBinder object at...`
`PyEventBinder` | `EVT_HYPERLINK_RIGHT` = `<wx._core.PyEventBinder object at ...`
`int` | `wxEVT_HYPERLINK_LEFT` = 10319
`int` | `wxEVT_HYPERLINK_MIDDLE` = 10320
`int` | `wxEVT_HYPERLINK_RIGHT` = 10321
`int` | `wxHYPERLINKS_POPUP_COPY` = 1000

Variable Details

### EVT_HYPERLINK_LEFT

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb49214ec>

### EVT_HYPERLINK_MIDDLE

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb49214ac>

### EVT_HYPERLINK_RIGHT

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb492178c>

### wxEVT_HYPERLINK_LEFT

  Type:
    `int`
  Value:

        10319

### wxEVT_HYPERLINK_MIDDLE

  Type:
    `int`
  Value:

        10320

### wxEVT_HYPERLINK_RIGHT

  Type:
    `int`
  Value:

        10321

### wxHYPERLINKS_POPUP_COPY

  Type:
    `int`
  Value:

        1000

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:23 2007 | http://epydoc.sf.net